# $Revision: 1.1.2.4 $, $Date: 2003/10/17 15:13:05 $
# TODO: 
#   - Needs also GL - express it in BR.
#   - Separate depraciated pyglade ?

%include	/usr/lib/rpm/macros.python
%define		module	pygtk

Summary:	Python bindings for Gtk+ 1.2 libraries
Summary(pl):	Wizania Pythona do bibliotek Gtk+ 1.2
Name:		python-%{module}1
Version:	0.6.9
Release:	2
License:	LGPL
Group:		Libraries/Python
Source0:	ftp://ftp.gtk.org/pub/gtk/python/v1.2/%{module}-%{version}.tar.gz
# Source0-md5:	3bd8fd5145884f4aa1e6f373cdc857ba
URL:		http://www.daa.com.au/~james/software/pygtk/
%pyrequires_eq	python-modules
BuildRequires:	gtk+-devel >= 1.2.8
BuildRequires:	gdk-pixbuf-devel >= 0.9.0
BuildRequires:	imlib-devel >= 1.8
BuildRequires:	libglade-devel 
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for Gtk+ 1.2.x libraries. This package contains
documentation and examples.

%description -l pl
Wizania Pythona do bibliotek Gtk+ 1.2.x. Pakiet zawiera dokumentacj
oraz przykady.

%package devel
Summary:	Python bindings for Gtk+ 1.2.x libraries - development files
Summary(pl):	Wizania Pythona do bibliotek Gtk+ 1.2.x - cz rozwojowa
Group:		Development/Languages/Python
Requires:	%{name}-glade = %{version}
Requires:	%{name}-gtk = %{version}

%description devel
This package contains files required to build wrappers for Gtk+ addon
libraries so that they interoperate with Python bindings.

%description devel -l pl
Pakiet zawiera pliki wymagane do zbudowania funkcji do bibliotek Gtk+,
tak by mogy te biblioteki kooperowa z wizaniami Pythona.

%package gtk
Summary:	Python bindings for Gtk+ library
Summary(pl):	Wizania Pythona do biblioteki Gtk+
Group:		Libraries/Python

%description gtk
Python bindings for Gtk+ library.

%description gtk -l pl
Wizania Pythona do biblioteki Gtk+.

%package glade
Summary:	Python bindings for Glade library
Summary(pl):	Wizania Pythona do biblioteki Glade
Group:		Libraries/Python
Requires:	%{name}-gtk = %{version}

%description glade
Python bindings for Glade library.

%description glade -l pl
Wizania Pythona do biblioteki Glade.

%prep
%setup -q -n %{module}-%{version}

%build
%configure \
	--enable-thread
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*/{*.la,*/*.la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog NEWS MAPPING AUTHORS
%{_examplesdir}/%{name}-%{version}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{module}
%{_includedir}/pygtk/*.h

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_gtk*.so
%attr(755,root,root) %{py_sitedir}/gdkpixbufmodule.so
%attr(755,root,root) %{py_sitedir}/_gdkimlibmodule.so
# %%{py_sitedir}/*.py[co]
%{py_sitedir}/gtk.py[co]
%{py_sitedir}/gtkgl.py[co]
%{py_sitedir}/G*.py[co]

%files glade
%defattr(644,root,root,755)
%dir %{py_sitedir}/pyglade/
%{py_sitedir}/pyglade/*.py[co]
%{py_sitedir}/libglade.py[co]
%attr(755,root,root) %{py_sitedir}/_libglademodule.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pygtk1.spec,v $
Revision 1.1.2.4  2003/10/17 15:13:05  ankry
- added changelog

Revision 1.1.2.3  2003/10/17 12:08:26  matkor
- Release 2. Got rid of last traces of epoch. STBR for Ra.

Revision 1.1.2.2  2003/10/17 09:46:46  ankry
- cosmetics

Revision 1.1.2.1  2003/10/15 13:47:11  matkor
- Old PyGTK. Version 0.6.9. Release 1.STBR for Ra.
